/*
 * Copyright(C) Seiko Epson Corporation 2016. All rights reserved.
 *
 * Warranty Disclaimers.
 * You acknowledge and agree that the use of the software is at your own risk.
 * The software is provided "as is" and without any warranty of any kind.
 * Epson and its licensors do not and cannot warrant the performance or results
 * you may obtain by using the software.
 * Epson and its licensors make no warranties, express or implied, as to non-infringement,
 * merchantability or fitness for any particular purpose.
 */
package nmd.emd.epson.com.probt_2000bluetooth;

/**
 * Entity class to represent beacon
 */
public class Beacon {


    //Beacon Bluetooth Address
    private String mAddress;
    //RSSI Value represents the signal strength
    private int mRSSI;
    //User friendly location name of the beacon
    private String mLocation;

    /**
     * constructor that adds address
     * @param address
     */
    public Beacon(String address){
        mAddress = address;
    }


    /**
     * Getter method that returns Beacon bluetooth address
     * @return Address
     */
    public String getAddress() {
        return mAddress;
    }

    /**
     * Setter method that sets the Beacon bluetooth address
     * @param address
     */
    public void setAddress(String address) {
        this.mAddress = address;
    }

    /**
     * Getter method that returns Beacon RSSI value
     * @return rssi value
     */
    public int getRSSI() {
        return mRSSI;
    }

    /**
     * Set the RSSI value
     * @param rssi
     */
    public void setmRSSI(int rssi) {
        this.mRSSI = rssi;
    }

    /**
     * Getter method that returns the user friendly Location
     * @return Location
     */
    public String getLocation() {
        return mLocation;
    }

    /**
     * Setter method to set the location
     * @param location
     */
    public void setLocation(String location) {
        this.mLocation = location;
    }
}
